Notification handlers

List Notification Handlers

Get all notification handlers in the current project.

GET
/nudge/projects/{projectId}/notification-handlers/

Authorization

clientKeyHeader clientSecretHeader
x-client-key<token>

Client API key credential.

In: header

x-client-secret<token>

Client API secret credential.

In: header

Path Parameters

projectId*string

Query Parameters

search?string
page*string
Default"1"
Match^[0-9]+$
size*string
Default"25"
Match^[0-9]+$

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api.dokaai.com/api/v1/dokaai/nudge/projects/string/notification-handlers/?page=1&size=25"
{
  "status": "success",
  "message": "string",
  "data": [
    {
      "id": "string",
      "handlerId": "string",
      "name": "string",
      "description": "string",
      "isRealTime": true,
      "handlerStatus": "draft",
      "recipientType": "Payload",
      "notificationType": {
        "id": "string",
        "name": "TRANSACTIONAL"
      },
      "isPublished": true,
      "channels": [
        {
          "channelName": "in_app",
          "isActive": true
        }
      ],
      "createdBy": "string",
      "customerPool": {
        "id": "string",
        "name": "string",
        "description": "string"
      }
    }
  ],
  "metaData": {
    "page": 0,
    "hasMore": true,
    "pageSize": 0,
    "count": 0
  },
  "error": null
}
{
  "status": "error",
  "message": "string",
  "data": null,
  "metaData": null,
  "error": null
}
{
  "status": "error",
  "message": "string",
  "data": null,
  "metaData": null,
  "error": null
}
{
  "status": "error",
  "message": "string",
  "data": null,
  "metaData": null,
  "error": null
}
{
  "status": "error",
  "message": "string",
  "data": null,
  "metaData": null,
  "error": null
}